Bug 61369 - should require perl-URI
should require perl-URI
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: perl-libwww-perl (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
:
Depends On:
Blocks: 61590
  Show dependency treegraph
 
Reported: 2002-03-18 12:36 EST by Tim Waugh
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-28 17:41:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2002-03-18 12:36:45 EST
Description of Problem:
Package should require perl-URI.

Version-Release number of selected component (if applicable):
5.63-4

How Reproducible:
100%

Steps to Reproduce:
1. Remove perl-URI
2. perl -e 'require HTTP::Message'

Actual Results:
Can't locate URI.pm in @INC (@INC contains: /usr/lib/perl5/5.6.1/i386-linux
/usr/lib/perl5/5.6.1 /usr/lib/perl5/site_perl/5.6.1/i386-linux
/usr/lib/perl5/site_perl/5.6.1 /usr/lib/perl5/site_perl/5.6.0
/usr/lib/perl5/site_perl .) at (eval 1) line 3.
Compilation failed in require at -e line 1.

Expected Results:
Shouldn't be able to remove perl-URI.

Additional Information:
This causes the lpd initscript to fail when perl-URI is not installed.
Comment 1 Chip Turner 2002-03-29 13:26:28 EST
the latest perl-libwww-perl should now have the proper requires on perl-URI

Note You need to log in before you can comment on or make changes to this bug.